Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Class DesktopInstance

    java.lang.Object
      |
      +--com.bea.netuix.application.instance.DesktopInstance

All Implemented Interfaces:
  Serializable

public class DesktopInstance
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`DesktopInstance(ShellDefinitionId shellDefinitionId, BookInstanceId bookInstanceId, LookAndFeelDefinitionId lookAndFeelDefinitionId, String instanceTitle)`

Method Summary
`BookInstanceId` | `getBookInstanceId()`
`DesktopDefinition` | `getDesktopDefinition()`
`DesktopDefinitionId` | `getDesktopDefinitionId()`
`DesktopInstanceId` | `getDesktopInstanceId()`
`String` | `getInstanceTitle()`
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId()`
`ShellDefinitionId` | `getShellDefinitionId()`
`void` | `setBookInstanceId(BookInstanceId bookInstanceId)`
`void` | `setInstanceTitle(String instanceTitle)`
`void` | `setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)`
`void` | `setShellDefinitionId(ShellDefinitionId shellDefinitionId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesktopInstance

    public DesktopInstance(ShellDefinitionId shellDefinitionId,
                           BookInstanceId bookInstanceId,
                           LookAndFeelDefinitionId lookAndFeelDefinitionId,
                           String instanceTitle)

Method Detail

### getDesktopInstanceId

    public DesktopInstanceId getDesktopInstanceId()

### getDesktopDefinition

    public DesktopDefinition getDesktopDefinition()

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

### getShellDefinitionId

    public ShellDefinitionId getShellDefinitionId()

### setShellDefinitionId

    public void setShellDefinitionId(ShellDefinitionId shellDefinitionId)

### getBookInstanceId

    public BookInstanceId getBookInstanceId()

### setBookInstanceId

    public void setBookInstanceId(BookInstanceId bookInstanceId)

### getLookAndFeelDefinitionId

    public LookAndFeelDefinitionId getLookAndFeelDefinitionId()

### setLookAndFeelDefinitionId

    public void setLookAndFeelDefinitionId(LookAndFeelDefinitionId lookAndFeelDefinitionId)

### getInstanceTitle

    public String getInstanceTitle()

### setInstanceTitle

    public void setInstanceTitle(String instanceTitle)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved